%define apachedir /etc/httpd
%define apacheuser apache
%define apachegroup apache
%define contentdir /usr/share 

Summary: The Internet Messaging Program: webmail access to IMAP/POP3 accounts.
Name: imp-h3
Version: 4.1
Release: 1%{dist}
License: GPL
Group: Applications/Internet
Source: ftp://ftp.horde.org/pub/imp/tarballs/imp-h3-%{version}.tar.gz
#Source1: imp.conf
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: php >= 4.3.0
Requires: php-imap >= 4.3.0
Requires: httpd >= 2.0.46
Requires: horde >= 3.0
Obsoletes: imp
Prereq: /usr/bin/perl

%description
IMP is the Internet Messaging Program, one of the Horde applications.
It provides webmail access to IMAP and POP3 accounts.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with IMP)
please visit http://www.horde.org/.

This package contains customizations for the Mitel Networks SME Server
and will probably not work properly on other Linux systems.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
#cp -p $RPM_SOURCE_DIR/imp.conf $RPM_BUILD_ROOT%{apachedir}/conf.d
mkdir -p $RPM_BUILD_ROOT%{contentdir}/horde/imp
cp -pR * $RPM_BUILD_ROOT%{contentdir}/horde/imp
cd $RPM_BUILD_ROOT%{contentdir}/horde/imp/config
for d in *.dist; do
    d0=`basename $d .dist`
    if [ ! -f "$d0" ]; then
        cp -p $d $d0
    fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre

%post

%postun

%files
%defattr(-,root,root)
# Apache imp.conf file
#%config %{apachedir}/conf.d/imp.conf
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/horde/imp
# Include top-level files by hand
%{contentdir}/horde/imp/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/horde/imp/js
%{contentdir}/horde/imp/lib
%{contentdir}/horde/imp/locale
%{contentdir}/horde/imp/po
%{contentdir}/horde/imp/scripts
%{contentdir}/horde/imp/templates
%{contentdir}/horde/imp/themes
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/horde/imp/COPYING
%doc %{contentdir}/horde/imp/README
%docdir %{contentdir}/horde/imp/docs
%{contentdir}/horde/imp/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/horde/imp/config
%defattr(640,root,%{apachegroup})
%{contentdir}/horde/imp/config/.htaccess
%{contentdir}/horde/imp/config/*.dist
%config %{contentdir}/horde/imp/config/*.php
%config %{contentdir}/horde/imp/config/*.txt
%config %{contentdir}/horde/imp/config/*.xml

%changelog
* Tue Apr 11 2006 Johnny Hughes <johnny@centos.org> imp-h3-4.1.c4
- rolled in upstream release 4.1

* Sat Oct 29 2005 Johnny Hughes <johnny@centos.org> imp-h3-4.0.4-1.centos4
- Initial build for CentOS4
- Changed the html location to be consistent w/CentOS web apps (/usr/share)

* Thu Mar 31 2005 Greg Swallow <gregswallow@skynetonline.ca>
- [4.0.3-rc1-1sme01]
- changed name to imp-h3
- Update for IMP 4 on SME7

* Tue Aug 10 2004 Shad L. Lords <slords@mail.com>
- [3.2.1-3sme01]
- Update specfile - change apache to httpd in requires

* Thu Apr 24 2003 Gordon Rowell <gordon_rowell@mitel.com>
- [3.2.1-2es01]
- Check name of "imp" registry item, rather than "horde" so that we display
  "Welcome to webmail" [gordonr 7694]

* Wed Apr 23 2003 Gordon Rowell <gordon_rowell@mitel.com>
- [3.2.1-2es00]
- Rebuild [gordonr 7694]

* Tue Mar 25 2003 Dan Brown <dan@familybrown.org>
- 3.2.1-2es
- Fixed .spec file to include imp/download/ directory

* Wed Mar 12 2003 Dan Brown <dan@familybrown.org>
- 3.2.1-1es
- Rebuild with IMP 3.2.1

* Tue Feb 25 2003 Dan Brown <dan@familybrown.org>
- 3.2-1es
- Rebuilt with IMP 3.2

* Tue Jun 18 2002 Dan Brown <dan@familybrown.org>
- 3.1-2es
- Added Obsoletes: tag for 3.1-01rc3; hopefully this will
  resolve dependency problems.

* Sun Jun 16 2002 Dan Brown <dan@familybrown.org>
- 3.1-1es
- rebuilt for 3.1 final

* Sun Jun  2 2002 Dan Brown <dan@familybrown.org>
- 3.1rc3 release 1es
- rebuilt for 3.1rc3

* Fri Mar  8 2002 Dan Brown <dan@familybrown.org> 3.0-3es
- changed Apache dependency to >= 1.3.19

* Sun Feb 10 2002 Dan Brown <dan@familybrown.org>
- 3.0 release 2es
- removed httpd restart--it's giving errors on SME 5.1.2, and
  it's handled by the e-smith-horde RPM

* Sat Feb 09 2002 Dan Brown <dan@familybrown.org>
- 3.0 release 1es
- changed apache user, group, and content directory

* Wed Jan 02 2002 Brent J. Nordquist <bjn@horde.org>
- 3.0 release 1

* Mon Dec 24 2001 Brent J. Nordquist <bjn@horde.org>
- 3.0-RC4 release 1

* Sat Dec 15 2001 Brent J. Nordquist <bjn@horde.org>
- rewritten for IMP 3.0

* Wed Nov 14 2001 Brent J. Nordquist <bjn@horde.org>
- 2.2.7 release 1rh7

* Sat Jul 21 2001 Brent J. Nordquist <bjn@horde.org>
- 2.2.6 release 1rh7

* Tue Feb 06 2001 Brent J. Nordquist <bjn@horde.org>
- 2.2.4 release 1rh7
